import { defineComponent, ref } from "vue";
import styles from "./index.module.less";
import iconBack from "../icons/icon-right-back.png";
import { Icon, ImagePreview, Tab, Tabs } from "vant";

export default defineComponent({
	name: "screenModel",
	emits: ["close"],
	setup(props, { emit }) {
		return () => (
			<>
				<img class={styles.closeBtn} src={iconBack} onClick={() => emit("close")} />
				<div class={styles.container}>
					<Tabs swipeable animated>
						<Tab name="投屏" title="投屏">
							<iframe src={location.origin + '/student/#/guide'} />
						</Tab>
						<Tab name="帮助" title="帮助">
							<iframe src={location.origin + '/student/#/helpCenter?platformType=ANALYSIS&hideTitle=1'} />
						</Tab>
					</Tabs>
				</div>
			</>
		);
	},
});
